scala

# LowPriorityImplicits

#### class LowPriorityImplicits extends AnyRef

The `LowPriorityImplicits` class provides implicit values that are valid in all Scala compilation units without explicit qualification, but that are partially overridden by higher-priority conversions in object `Predef`.

Source
  LowPriorityImplicits.scala
Since

  2.8

Linear Supertypes
AnyRef, Any
Known Subclasses
Predef
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. LowPriorityImplicits
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new LowPriorityImplicits()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from LowPriorityImplicits to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (LowPriorityImplicits, B)

   Implicit information
     This member is added by an implicit conversion from LowPriorityImplicits to ArrowAssoc[LowPriorityImplicits] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### implicit def Boolean2booleanNullConflict(x: Null): Boolean

9. #### implicit def Byte2byteNullConflict(x: Null): Byte

10. #### implicit def Character2charNullConflict(x: Null): Char

11. #### implicit def Double2doubleNullConflict(x: Null): Double

12. #### implicit def Float2floatNullConflict(x: Null): Float

13. #### implicit def Integer2intNullConflict(x: Null): Int

14. #### implicit def Long2longNullConflict(x: Null): Long

15. #### implicit def Short2shortNullConflict(x: Null): Short

16. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

17. #### implicit def booleanWrapper(x: Boolean): RichBoolean

    Annotations
      @inline()

18. #### implicit def byteWrapper(x: Byte): RichByte

    We prefer the java.

    We prefer the java.lang.* boxed types to these wrappers in any potential conflicts. Conflicts do exist because the wrappers need to implement ScalaNumber in order to have a symmetric equals method, but that implies implementing java.lang.Number as well.

    Note - these are inlined because they are value classes, but the call to xxxWrapper is not eliminated even though it does nothing. Even inlined, every call site does a no-op retrieval of Predef's MODULE$ because maybe loading Predef has side effects!

    Annotations
      @inline()

19. #### implicit def charWrapper(c: Char): RichChar

    Annotations
      @inline()

20. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

21. #### implicit def doubleWrapper(x: Double): RichDouble

    Annotations
      @inline()

22. #### def ensuring(cond: (LowPriorityImplicits) ⇒ Boolean, msg: ⇒ Any): LowPriorityImplicits

    Implicit information
      This member is added by an implicit conversion from LowPriorityImplicits to Ensuring[LowPriorityImplicits] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### def ensuring(cond: (LowPriorityImplicits) ⇒ Boolean): LowPriorityImplicits

    Implicit information
      This member is added by an implicit conversion from LowPriorityImplicits to Ensuring[LowPriorityImplicits] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

24. #### def ensuring(cond: Boolean, msg: ⇒ Any): LowPriorityImplicits

    Implicit information
      This member is added by an implicit conversion from LowPriorityImplicits to Ensuring[LowPriorityImplicits] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

25. #### def ensuring(cond: Boolean): LowPriorityImplicits

    Implicit information
      This member is added by an implicit conversion from LowPriorityImplicits to Ensuring[LowPriorityImplicits] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

26. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

27. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

28. #### implicit def fallbackStringCanBuildFrom[T]: CanBuildFrom[String, T, collection.immutable.IndexedSeq[T]]

29. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

30. #### implicit def floatWrapper(x: Float): RichFloat

    Annotations
      @inline()

31. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from LowPriorityImplicits to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

32. #### implicit def genericWrapArray[T](xs: Array[T]): WrappedArray[T]

33. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

34. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

35. #### implicit def intWrapper(x: Int): RichInt

    Annotations
      @inline()

36. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

37. #### implicit def longWrapper(x: Long): RichLong

    Annotations
      @inline()

38. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

39. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

40. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

41. #### implicit def shortWrapper(x: Short): RichShort

    Annotations
      @inline()

42. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

43. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

44. #### implicit def unwrapString(ws: WrappedString): String

45. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

46. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

47. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

48. #### implicit def wrapBooleanArray(xs: Array[Boolean]): WrappedArray[Boolean]

49. #### implicit def wrapByteArray(xs: Array[Byte]): WrappedArray[Byte]

50. #### implicit def wrapCharArray(xs: Array[Char]): WrappedArray[Char]

51. #### implicit def wrapDoubleArray(xs: Array[Double]): WrappedArray[Double]

52. #### implicit def wrapFloatArray(xs: Array[Float]): WrappedArray[Float]

53. #### implicit def wrapIntArray(xs: Array[Int]): WrappedArray[Int]

54. #### implicit def wrapLongArray(xs: Array[Long]): WrappedArray[Long]

55. #### implicit def wrapRefArray[T <: AnyRef](xs: Array[T]): WrappedArray[T]

56. #### implicit def wrapShortArray(xs: Array[Short]): WrappedArray[Short]

57. #### implicit def wrapString(s: String): WrappedString

58. #### implicit def wrapUnitArray(xs: Array[Unit]): WrappedArray[Unit]

59. #### def →[B](y: B): (LowPriorityImplicits, B)

    Implicit information
      This member is added by an implicit conversion from LowPriorityImplicits to ArrowAssoc[LowPriorityImplicits] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implict Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from LowPriorityImplicits to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (lowPriorityImplicits: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from LowPriorityImplicits to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (lowPriorityImplicits: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: LowPriorityImplicits

   Implicit information
     This member is added by an implicit conversion from LowPriorityImplicits to ArrowAssoc[LowPriorityImplicits] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (lowPriorityImplicits: ArrowAssoc[LowPriorityImplicits]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: LowPriorityImplicits

   Implicit information
     This member is added by an implicit conversion from LowPriorityImplicits to Ensuring[LowPriorityImplicits] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (lowPriorityImplicits: Ensuring[LowPriorityImplicits]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from LowPriorityImplicits to StringAdd

### Inherited by implicit conversion any2stringfmt from LowPriorityImplicits to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from LowPriorityImplicits to ArrowAssoc[LowPriorityImplicits]

### Inherited by implicit conversion any2Ensuring from LowPriorityImplicits to Ensuring[LowPriorityImplicits]

### Ungrouped